function depth = computeTrapDepth(w_1, w_2, P, alpha)
    
    % Define constants
    eps0 = 8.854187817e-12;    % Permittivity of free space (F/m)
    c    = 299792458;          % Speed of light in vacuum (m/s)
    a0   = 5.29177210903e-11;  % Bohr radius (m)

    % Calculate the trap depth
    depth = (2 * P) / (pi * w_1 * w_2) * (1 / (2 * eps0 * c)) * alpha * (4 * pi * eps0 * a0^3);
end